> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a crawlability check



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json get /v1/audits/geo/crawlability-checks/{checkId}
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/audits/geo/crawlability-checks/{checkId}:
    get:
      tags:
        - Audits
      summary: Get a crawlability check
      parameters:
        - schema:
            type: string
            minLength: 1
            example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            description: Crawlability check identifier.
          required: true
          description: Crawlability check identifier.
          name: checkId
          in: path
      responses:
        '200':
          description: The crawlability check.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiCrawlabilityCheck'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '404':
          description: Crawlability check not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiCrawlabilityCheck:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        workspaceId:
          type: string
        url:
          type: string
        domain:
          type: string
        status:
          type: string
          enum:
            - pending
            - completed
            - failed
        createdDate:
          type: string
        completedDate:
          type: string
        robotsTxtAnalysis:
          type: object
          additionalProperties:
            type: boolean
            nullable: true
        robotsTxtAnalysisResult:
          type: boolean
        serverBotAccess:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PublicApiServerBotAccessResult'
          description: >-
            Per-bot probe results. Keys are crawler names as they appear in
            robots.txt / User-Agent (e.g. `GPTBot`, `PerplexityBot`,
            `ClaudeBot`, `Google-Extended`, `OAI-SearchBot`, `ChatGPT-User`);
            values describe whether each bot was able to fetch the resource.
      required:
        - id
        - workspaceId
        - url
        - domain
        - status
        - createdDate
      example:
        id: 01HXCRAW1MZB7VAW4PQ8K2N3J9
        workspaceId: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        url: https://www.adidas.com/us/running
        domain: adidas.com
        status: completed
        createdDate: '2026-01-26T08:29:44.850Z'
        completedDate: '2026-01-26T08:30:14.540Z'
        robotsTxtAnalysis:
          GPTBot: true
          PerplexityBot: true
          ClaudeBot: true
          Google-Extended: true
          OAI-SearchBot: true
          ChatGPT-User: true
          CCBot: true
        robotsTxtAnalysisResult: true
        serverBotAccess:
          GPTBot:
            userAgent: Mozilla/5.0 (compatible; GPTBot/1.0; +https://openai.com/gptbot)
            status: 200
            ok: true
          PerplexityBot:
            userAgent: >-
              Mozilla/5.0 (compatible; PerplexityBot/1.0;
              +https://www.perplexity.ai/bot)
            status: 200
            ok: true
          ClaudeBot:
            userAgent: >-
              Mozilla/5.0 (compatible; ClaudeBot/1.0;
              +https://www.anthropic.com)
            status: 200
            ok: true
          Google-Extended:
            userAgent: >-
              Mozilla/5.0 (compatible; Googlebot/2.1;
              +http://www.google.com/bot.html)
            status: 200
            ok: true
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
    PublicApiServerBotAccessResult:
      type: object
      properties:
        userAgent:
          type: string
          description: User-Agent string used for the probe.
        status:
          type: number
          nullable: true
          description: >-
            HTTP response status code observed by the probe; null if no
            response.
        ok:
          type: boolean
          description: >-
            True when the probe was able to read the resource without
            restrictions.
        error:
          type: string
        errorReason:
          type: string
      required:
        - userAgent
        - status
        - ok
      example:
        userAgent: Mozilla/5.0 (compatible; GPTBot/1.0; +https://openai.com/gptbot)
        status: 200
        ok: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````